


# SmeupFun class












## Constructors

[SmeupFun](../smeup_models_smeup_fun/SmeupFun/SmeupFun.md) (dynamic dynamicFun, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)> formKey)

    

[SmeupFun.fromServiceName](../smeup_models_smeup_fun/SmeupFun/SmeupFun.fromServiceName.md) ([String](https://api.flutter.dev/flutter/dart-core/String-class.html) service)

    


## Properties

##### [formKey](../smeup_models_smeup_fun/SmeupFun/formKey.md) &#8596; [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)>



   
_read / write_



##### [fun](../smeup_models_smeup_fun/SmeupFun/fun.md) &#8596; dynamic



   
_read / write_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [getParameters](../smeup_models_smeup_fun/SmeupFun/getParameters.md)() [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>>



   




##### [isDinamismAsync](../smeup_models_smeup_fun/SmeupFun/isDinamismAsync.md)([List](https://api.flutter.dev/flutter/dart-core/List-class.html) dynamisms, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) event) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



   




##### [isFunValid](../smeup_models_smeup_fun/SmeupFun/isFunValid.md)() [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



   




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [saveParameters](../smeup_models_smeup_fun/SmeupFun/saveParameters.md)([GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)> formKey) void



   




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_





## Static Methods

##### [extractArg](../smeup_models_smeup_fun/SmeupFun/extractArg.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) funString, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) parm, {[String](https://api.flutter.dev/flutter/dart-core/String-class.html) prefix = ' '}) [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



   










